=== debian/changelog ===
libxmlada (21.0.0-4) unstable; urgency=medium

  * In autopkgtests, import the installed xmlada.gpr instead of the one in
    the top source directory where tests are run. Closes: #977550.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 20 Dec 2020 18:07:52 +0000

libxmlada (21.0.0-3) unstable; urgency=medium

  * Fix autopkgtests: syntax error in gnat project.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 20 Dec 2020 11:22:18 +0000

libxmlada (21.0.0-2) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 11 Dec 2020 09:08:45 +0100

libxmlada (21.0.0-1) experimental; urgency=medium

  * New upstream release (no renaming needed).
  * AdaCore grants the GCC runtime exception to the GPL-3+ license.
  * AdaCore provides GitHub releases, replace README.source with watch file.
  * The archives contain no minified javascript anymore.  Stop repackaging.
  * Merge upstream and debian copyright stanzas.
    Add missing license for documentation.
  * Let run time tests check availability of examples in -doc package.
  * For simplicity, override dh_auto_configure instead of dh_fixperms.
  * Disable parallelism for docs (unreliable cooperation of make and sphinx).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 19 Oct 2020 17:34:46 +0000

libxmlada (20-1) experimental; urgency=medium

  * New upstream release built with gnat-10.
    Migration in experimental, renaming lib and -dev packages.
  * Debhelper 13.
  * Drop obsolete misc:Pre-Depends.
  * Simplify dependency handling in debian/rules.
  * Force Make order so that gnatmake does not compile the same source twice.
  * Stop overwriting dynamic .ali with static.ali.
  * Strip unreproducible -fdebug-prefix-map options from installed .ali files.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 20 May 2020 19:55:13 +0000
