=== debian/control ===
Source: libxmlada
Priority: optional
Section: libdevel
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
 gnat,
# The rules script parses this line to extract the gnat version:
 gnat-10,
 unicode-data (>= 13~), unicode-data (<< 14~),
# Used by debian/rules to generate unicode-names-*.ads.
# When a new unicode standard is released, we most probably have to
# increase the ALI version of xmlada-unicode and all reverse dependencies.
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
 python3-sphinx (>= 1.6.3-2),
# fixing #869098.
 latexmk,
# Sphinx >= 1.6 uses the latexmk driver.
 texlive-fonts-recommended,
# sphinx-doc requires iftex.sty:
 texlive-plain-generic,
 texlive-latex-extra,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/libxmlada
Vcs-Git: https://salsa.debian.org/debian/libxmlada.git
Homepage: https://github.com/AdaCore/xmlada

Package: libxmlada-unicode10-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Suggests: libxmlada-doc
# so all -dev packages indirectly Suggest: -doc.
Description: XML/Ada, a full XML suite for Ada programmers (unicode)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the development tools for the unicode module.

Package: libxmlada-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Suggests: gnat
Description: XML/Ada, a full XML suite for Ada programmers (documentation)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the documentation in text, PDF and HTML.

Package: libxmlada-dom10-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: XML/Ada, a full XML suite for Ada programmers (dom)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the development tools for the dom module.

Package: libxmlada-dom7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: XML/Ada, a full XML suite for Ada programmers (dom runtime)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the dom runtime shared library.

Package: libxmlada-input10-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: XML/Ada, a full XML suite for Ada programmers (input sources)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the development tools for the input sources module.

Package: libxmlada-input7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: XML/Ada, a full XML suite for Ada programmers (input sources runtime)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the input sources runtime shared library.

Package: libxmlada-sax10-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: XML/Ada, a full XML suite for Ada programmers (sax)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the development tools for the sax module.

Package: libxmlada-sax7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: XML/Ada, a full XML suite for Ada programmers (sax runtime)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the sax runtime shared library.

Package: libxmlada-schema10-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: XML/Ada, a full XML suite for Ada programmers (schema)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the development tools for the schema module,
 and an xmlada.gpr project importing the whole XML/Ada library.
# inside schema-dev because it Depends: every other -dev package.

Package: libxmlada-schema7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: XML/Ada, a full XML suite for Ada programmers (schema runtime)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the schema runtime shared library.

Package: libxmlada-unicode7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: XML/Ada, a full XML suite for Ada programmers (unicode runtime)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the unicode runtime shared library.
