=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%xmlada-$1.tar.gz%" \
https://github.com/AdaCore/xmlada/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
