## libxmlada 22.0.0

=== debian/changelog ===
libxmlada (22.0.0-3) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 17:50:29 +0200

libxmlada (22.0.0-2) experimental; urgency=medium

  * Let -dev packages depend on 'gnat (>= X), gnat (<< X+1)' instead of
    'gnat, gnat-X'.  See https://bugs.debian.org/bug=975589#24.
  * Override dh_gencontrol instead of appending to .substvars, in order to
    increase log readability and prevent multiple inclusions.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Apr 2022 12:31:28 +0000

libxmlada (22.0.0-1) experimental; urgency=medium

  * Rebuild with gnat-11 in experimental.
    Build-Depend: unicode 15 (closes: #995578).
    New upstream version.
    Rename -dev packages per Ada policy. No need to bump soversion.
  * Build-Depend: tex-gyre for sphinx documentation.
  * Split unicode updates in small patches instead of rebasing.
  * Standards-Version: 4.6.0.
  * Add license for Ada code generated from Unicode data.
  * Add upstream metadata.
  * watch: remove unneeded filenamemangle uscan option.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Mar 2022 11:17:22 +0000
