=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Build-Depends-Arch:
  gnat,
 # The rules script parses this line to extract the gnat version:
- gnat-10,
- unicode-data (>= 13~), unicode-data (<< 14~),
+ gnat-11,
+ unicode-data (>= 14~), unicode-data (<< 15~),
 # Used by debian/rules to generate unicode-names-*.ads.
 # When a new unicode standard is released, we most probably have to
 # increase the ALI version of xmlada-unicode and all reverse dependencies.
@@ -19,18 +19,20 @@
  python3-sphinx (>= 1.6.3-2),
 # fixing #869098.
  latexmk,
+# sphinx-doc requires tgheros.sty:
+ tex-gyre,
 # Sphinx >= 1.6 uses the latexmk driver.
  texlive-fonts-recommended,
 # sphinx-doc requires iftex.sty:
  texlive-plain-generic,
  texlive-latex-extra,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/libxmlada
 Vcs-Git: https://salsa.debian.org/debian/libxmlada.git
 Homepage: https://github.com/AdaCore/xmlada
 
-Package: libxmlada-unicode10-dev
+Package: libxmlada-unicode11-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Suggests: libxmlada-doc
@@ -64,7 +66,7 @@
  .
  This package contains the documentation in text, PDF and HTML.
 
-Package: libxmlada-dom10-dev
+Package: libxmlada-dom11-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (dom)
@@ -94,7 +96,7 @@
  .
  This package contains the dom runtime shared library.
 
-Package: libxmlada-input10-dev
+Package: libxmlada-input11-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (input sources)
@@ -124,7 +126,7 @@
  .
  This package contains the input sources runtime shared library.
 
-Package: libxmlada-sax10-dev
+Package: libxmlada-sax11-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (sax)
@@ -154,7 +156,7 @@
  .
  This package contains the sax runtime shared library.
 
-Package: libxmlada-schema10-dev
+Package: libxmlada-schema11-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (schema)
