=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # Build script for XML/Ada in Debian.
 # Copyright (c) 2003-2009 Ludovic Brenta <lbrenta@debian.org>
-# Copyright (c) 2013-2020 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2013-2021 Nicolas Boulenguez <nicolas@debian.org>
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -46,11 +46,12 @@
   -Wl,--no-allow-shlib-undefined
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
-include $(wildcard /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk)
+include /usr/share/dpkg/buildopts.mk
+include $(wildcard /usr/share/ada/debian_packaging.mk)
 # wildcard in case only Build-Depends-Indep are installed.
 
 # Ignore gnat.adc in top directory.
-BUILDER_OPTIONS += -gnatA
+GNATMAKEFLAGS += -gnatA
 
 ######################################################################
 %:
@@ -77,7 +78,7 @@
 
 obj/convert: $(wildcard unicode/importer/*.ad[bs]) | obj
 	gnatmake unicode/importer/convert.adb -D obj -o $@ \
-	  $(BUILDER_OPTIONS) \
+	  $(GNATMAKEFLAGS) \
 	  -cargs $(ADAFLAGS) \
 	  -largs $(LDFLAGS)
 
@@ -140,7 +141,7 @@
         | obj/shared obj/shared_$(library)_ali obj/shared_$(library)_obj
     # -fPIC/-shared overrides -fPIE/-pie in ADAFLAGS/LDFLAGS.
 	gnatmake -c $$($(library)_unit_bodies) -D obj/shared_$(library)_obj \
-	  $(BUILDER_OPTIONS) $(includes_so_far) $(ada_build_deps_includes) \
+	  $(GNATMAKEFLAGS) $(includes_so_far) $(ada_build_deps_includes) \
 	  -cargs $(ADAFLAGS) -fPIC
 	gcc-$(GNAT_VERSION) $(LDFLAGS) -shared \
 	  -o $$@ \
@@ -165,7 +166,7 @@
          $(shared_objects_so_far) \
         | obj/static obj/static_$(library)_ali obj/static_$(library)_obj
 	gnatmake -c $$($(library)_unit_bodies) -D obj/static_$(library)_obj \
-	  $(BUILDER_OPTIONS) $(includes_so_far) $(ada_build_deps_includes) \
+	  $(GNATMAKEFLAGS) $(includes_so_far) $(ada_build_deps_includes) \
 	  -cargs $(ADAFLAGS)
 	ar rc $$@ obj/static_$(library)_obj/*.o
 	ranlib $$@
