## libxmlada 23.0.0

=== debian/changelog ===
libxmlada (23.0.0-3) unstable; urgency=medium

  * Break/Replace libxmlada*-dev since oldstable.
    Closes: #1034918, #1034926, #1034937, #1034944, #1034952.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 10 May 2023 21:52:37 +0200

libxmlada (23.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 26 Dec 2022 23:13:00 +0100

libxmlada (23.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Build against unicode-data 15.  Closes: #1020018.
    Do not rename the -dev package in experimental.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 24 Nov 2022 08:52:59 +0000

libxmlada (23~20220806-3) experimental; urgency=medium

  * Avoid variables set by packaging.mk during -indep builds.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 29 Aug 2022 18:10:48 +0000

libxmlada (23~20220806-2) experimental; urgency=medium

  * Simplify debian/rules thanks to dh-ada-library 8.1.
  * Actually refresh the unicode generated sources.
  * patches/unicode-exceptions.diff for unicode 14.
  * In debian/rules, write a bootstap path and not a dependency graph.
    Also remove unneeded subdirectories.
  * Prefer make to dh_auto_build because the latter interfers with
    gnatmake or sphinx parallelism.
  * Fix ALI path in tests/no-project.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 18 Aug 2022 21:16:27 +0000

libxmlada (23~20220806-1) experimental; urgency=medium

  * New upstream snapshot merging all Debian patches.
  * Use DEB_GNAT_VERSION from debian_packaging.mk
  * Move clean instructions into debian/clean

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 07 Aug 2022 23:37:45 +0000

libxmlada (23~20220614-1) experimental; urgency=medium

  * Build new upstream snapshot with gnat-12 in experimental.
    Change ALI versions accordingly.  Change SO version of the dom component.
  * Fix regular expression removing -prefix-map lines from .ali files.
  * Avoid failing when erroneous execution rights are already removed.
  * Standards-Version: 4.6.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 06 Aug 2022 14:39:08 +0200
