=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- gnat,
-# The rules script parses this line to extract the gnat version:
- gnat-11,
- unicode-data (>= 14~), unicode-data (<< 15~),
+ dh-ada-library (>= 8.1),
+ dh-sequence-ada-library,
+ gnat-12,
+ unicode-data (>= 15~), unicode-data (<< 16~),
 # Used by debian/rules to generate unicode-names-*.ads.
 # When a new unicode standard is released, we most probably have to
 # increase the ALI version of xmlada-unicode and all reverse dependencies.
@@ -26,13 +26,15 @@
 # sphinx-doc requires iftex.sty:
  texlive-plain-generic,
  texlive-latex-extra,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/libxmlada
 Vcs-Git: https://salsa.debian.org/debian/libxmlada.git
 Homepage: https://github.com/AdaCore/xmlada
 
-Package: libxmlada-unicode11-dev
+Package: libxmlada-unicode12-dev
+Breaks: libxmlada-unicode8-dev, libxmlada-unicode9-dev, libxmlada-unicode10-dev, libxmlada-unicode11-dev
+Replaces: libxmlada-unicode8-dev, libxmlada-unicode9-dev, libxmlada-unicode10-dev, libxmlada-unicode11-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Suggests: libxmlada-doc
@@ -66,7 +68,9 @@
  .
  This package contains the documentation in text, PDF and HTML.
 
-Package: libxmlada-dom11-dev
+Package: libxmlada-dom12-dev
+Breaks: libxmlada-dom8-dev, libxmlada-dom9-dev, libxmlada-dom10-dev, libxmlada-dom11-dev
+Replaces: libxmlada-dom8-dev, libxmlada-dom9-dev, libxmlada-dom10-dev, libxmlada-dom11-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (dom)
@@ -80,7 +84,7 @@
  .
  This package contains the development tools for the dom module.
 
-Package: libxmlada-dom7
+Package: libxmlada-dom8
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -96,7 +100,9 @@
  .
  This package contains the dom runtime shared library.
 
-Package: libxmlada-input11-dev
+Package: libxmlada-input12-dev
+Breaks: libxmlada-input8-dev, libxmlada-input9-dev, libxmlada-input10-dev, libxmlada-input11-dev
+Replaces: libxmlada-input8-dev, libxmlada-input9-dev, libxmlada-input10-dev, libxmlada-input11-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (input sources)
@@ -126,7 +132,9 @@
  .
  This package contains the input sources runtime shared library.
 
-Package: libxmlada-sax11-dev
+Package: libxmlada-sax12-dev
+Breaks: libxmlada-sax8-dev, libxmlada-sax9-dev, libxmlada-sax10-dev, libxmlada-sax11-dev
+Replaces: libxmlada-sax8-dev, libxmlada-sax9-dev, libxmlada-sax10-dev, libxmlada-sax11-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (sax)
@@ -156,7 +164,9 @@
  .
  This package contains the sax runtime shared library.
 
-Package: libxmlada-schema11-dev
+Package: libxmlada-schema12-dev
+Breaks: libxmlada-schema8-dev, libxmlada-schema9-dev, libxmlada-schema10-dev, libxmlada-schema11-dev
+Replaces: libxmlada-schema8-dev, libxmlada-schema9-dev, libxmlada-schema10-dev, libxmlada-schema11-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (schema)
