=== debian/changelog ===
libxmlada (24.0.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:21:53 +0000

libxmlada (24.0.0-2build1) noble; urgency=medium

  * No-change rebuild with gnat-13 13.2.0-21.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Mar 2024 19:02:37 +0100

libxmlada (24.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 14:37:57 +0100

libxmlada (24.0.0-1) experimental; urgency=medium

  * New upstream release, depending on sphinx rtd theme.
  * Rebuild with dh-ada-library 9.1, with gnat versions in ada:Depends.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Dec 2023 11:58:49 +0000

libxmlada (23.0.0-6) experimental; urgency=medium

  * Bump shared object versions. Gprbuild/2023.0.0-3 (gcc-12) crashes when
    linking with xmlada/23.0.0-5 (gcc-13) instead of 23.0.0-3 (gcc-12).

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 27 Oct 2023 10:53:44 +0000

libxmlada (23.0.0-5) experimental; urgency=medium

  * Typo in Break/Replace for libxmlada-unicode-dev. Closes: #1054530.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 25 Oct 2023 11:19:35 +0000

libxmlada (23.0.0-4) experimental; urgency=medium

  * Build in experimental with gnat >= 13 and dh-ada-library >= 9.
  * Rename -dev package, now unversioned. Provide a name containing a hash.
  * Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Oct 2023 16:28:48 +0000
