=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # Build script for XML/Ada in Debian.
 # Copyright (c) 2003-2009 Ludovic Brenta <lbrenta@debian.org>
-# Copyright (c) 2013-2022 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2013-2023 Nicolas Boulenguez <nicolas@debian.org>
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -169,6 +169,6 @@
 
 # Compatibility project, importing all XMLAda libraries.
 execute_after_dh_install-arch::
-	dh_install --package=$(xmlada_schema_DEV_PKG) \
+	dh_install --package=libxmlada-schema-dev \
 	  distrib/xmlada.gpr \
 	  $(DEB_GNAT_PROJECT_DIR)
